com.google.appengine.api.search

## Class PutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.appengine.api.search.SearchBaseException
        - - com.google.appengine.api.search.PutException

- All Implemented Interfaces:
    java.io.Serializable

      public class PutException
      extends SearchBaseException

  Thrown to indicate that a search service failure occurred while putting objects into the index.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PutException(OperationResult operationResult)` Constructs an exception when some error occurred in the search service when putting some objects into the index.
    `PutException(OperationResult operationResult, java.util.List<OperationResult> results, java.util.List<java.lang.String> ids)` Constructs an exception when some error occurred in the search service when putting some objects to the index.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getIds()`
    `java.util.List<OperationResult>` | `getResults()`

    - ### Methods inherited from class com.google.appengine.api.search.SearchBaseException

      `getOperationResult`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PutException

          public PutException(OperationResult operationResult)

      Constructs an exception when some error occurred in the search service when putting some objects into the index.
      Parameters:
        `operationResult` - the error code and message detail associated with the failure

    - #### PutException

          public PutException(OperationResult operationResult,
                              java.util.List<OperationResult> results,
                              java.util.List<java.lang.String> ids)

      Constructs an exception when some error occurred in the search service when putting some objects to the index.
      Parameters:
        `operationResult` - the error code and message detail associated with the failure
        `results` - the list of `OperationResult` where each result is associated with an object that was requested to be put into the index
        `ids` - the list of Ids of the object requested to be put into the index. The search service may provide an Id if none was given for an object

  - ### Method Detail

    - #### getResults

          public java.util.List<OperationResult> getResults()

      Returns:
        the list of `OperationResult` where each result is associated with a request to be put an object into the index

    - #### getIds

          public java.util.List<java.lang.String> getIds()

      Returns:
        the list of Ids of objects that were requested to be put into the index